> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeroentropy.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Page Info

> Retrieves information about a specific page. The request parameters define what information you would like to receive.

A `404 Not Found` will be returned if either the collection name does not exist, or the document path does not exist within the provided collection.



## OpenAPI

````yaml /api-reference/openapi.json post /documents/get-page-info
openapi: 3.1.0
info:
  title: ZeroEntropy API
  description: This API provides access to ZeroEntropy's SoTA retrieval pipeline. Enjoy!
  version: 0.1.0
servers:
  - url: https://api.zeroentropy.dev/v1
    description: ZeroEntropy API
  - url: https://eu-api.zeroentropy.dev/v1
    description: ZeroEntropy API (EU datacenters)
security: []
paths:
  /documents/get-page-info:
    post:
      tags:
        - Documents
      summary: Get Page Info
      description: >-
        Retrieves information about a specific page. The request parameters
        define what information you would like to receive.


        A `404 Not Found` will be returned if either the collection name does
        not exist, or the document path does not exist within the provided
        collection.
      operationId: get_page_info_documents_get_page_info_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetPageInfoRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPageInfoResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              example:
                detail: Description of Error
        '404':
          description: Not Found
          content:
            application/json:
              example:
                detail: Description of Error
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    GetPageInfoRequest:
      properties:
        collection_name:
          type: string
          title: Collection Name
          description: The name of the collection.
        path:
          type: string
          title: Path
          description: >-
            The filepath of the document whose page you are requesting. A `404
            Not Found` status code will be returned if no document with this
            path was found.
        page_index:
          type: integer
          title: Page Index
          description: >-
            The specific page index whose info is being requested. Pages are
            0-indexed, so that the 1st page of a PDF is of page index 0. You may
            use the `num_pages` attribute of `/documents/get-document-info` or
            `/documents/get-document-info-list` to know what the range of valid
            indices are. A `404 Not Found` status code will be returned if no
            such page index exists. 
        include_content:
          type: boolean
          title: Include Content
          description: >-
            If `true`, then the response will have the `content` attribute be a
            `string`, rather than `null`. This string will contain the full
            contents of the page.
          default: false
      type: object
      required:
        - collection_name
        - path
        - page_index
      title: GetPageInfoRequest
    GetPageInfoResponse:
      properties:
        page:
          $ref: '#/components/schemas/PageResponse'
      type: object
      required:
        - page
      title: GetPageInfoResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PageResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        collection_name:
          type: string
          title: Collection Name
          description: The name of the collection.
        path:
          type: string
          title: Path
          description: The filepath of the document associated with this page.
        page_index:
          type: integer
          title: Page Index
          description: >-
            The specific page index of this page. Pages are 0-indexed, so that
            the 1st page of a PDF is of page index 0.
        content:
          anyOf:
            - type: string
            - type: 'null'
          title: Content
          description: >-
            The content of the page. This field will only be provided if
            `include_content` was set to `true`, and the document has finished
            parsing. Otherwise, this field will be set to `null`.
        image_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Image Url
          description: >-
            A URL to an image of the page. This field will only be provided if
            the document has finished parsing, and if it is a filetype that is
            capable of producing images (e.g. PDF, DOCX, PPT, etc). In all other
            cases, this field will be `null`.


            NOTE: If a `/documents/update-document` call returned a new document
            id, then this url will be invalidated and must be retrieved again.
      type: object
      required:
        - id
        - collection_name
        - path
        - page_index
        - image_url
      title: PageResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      description: >-
        The `Authorization` header must be provided in the format `Bearer
        <your-api-key>`.


        You can get your API Key at the
        [Dashboard](https://dashboard.zeroentropy.dev/)!
      scheme: bearer

````